import request from '@/utils/request'

// 查询微信消息列表
export function listMessage(query) {
  return request({
    url: '/wechat/message/list',
    method: 'get',
    params: query
  })
}

// 查询微信消息详细
export function getMessage(uid) {
  return request({
    url: '/wechat/message/' + uid,
    method: 'get'
  })
}

// 新增微信消息
export function addMessage(data) {
  return request({
    url: '/wechat/message',
    method: 'post',
    data: data
  })
}

// 修改微信消息
export function updateMessage(data) {
  return request({
    url: '/wechat/message',
    method: 'put',
    data: data
  })
}

// 删除微信消息
export function delMessage(uid) {
  return request({
    url: '/wechat/message/' + uid,
    method: 'delete'
  })
}
